| Home | Libraries | People | FAQ | More

## Struct template promote<bool, From, void, std_valarray_tag>

boost::numeric::functional::promote<bool, From, void, std_valarray_tag>

## Synopsis

    // In header: <boost/accumulators/numeric/functional/valarray.hpp>

    template<typename From>
    struct promote<bool, From, void, std_valarray_tag> : public std::unary_function< From, bool > {

      // public member functions
      bool operator()(From &) const;
    };

## Description

### `promote` public member functions

1.     bool operator()(From & arr) const;